%global debug_package %{nil}

Name:		truecrypt
Summary:	Free open-source disk encryption software
Version:	7.1a
Release:	3%{?dist}
License:	TrueCrypt License Version 2.0
Group:		Applications/System
URL:		http://www.truecrypt.org/
Source0:	TrueCrypt-%{version}-Source.tar.gz
Source1:	wxWidgets-2.8.12.tar.gz
Source11:	ftp://ftp.rsasecurity.com/pub/pkcs/pkcs-11/v2-20/pkcs11.h
Source12:	ftp://ftp.rsasecurity.com/pub/pkcs/pkcs-11/v2-20/pkcs11f.h
Source13:	ftp://ftp.rsasecurity.com/pub/pkcs/pkcs-11/v2-20/pkcs11t.h
Source14:	truecrypt.desktop
Patch0:		truecrypt-gcc6.patch
Patch1:		truecrypt-fix-invalid-characters.patch
Patch2:		truecrypt-no-exec-stack.patch
Patch3:		truecrypt-wxGTK3.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:		TrueCrypt Foundation <syncon@truecrypt.org>
Requires:	fuse
BuildRequires:	nasm, pkgconfig, fuse-devel, fuse-libs
BuildRequires:	fuse-devel

%description
Manages encrypted TrueCrypt volumes, which can be mapped as virtual block 
devices and used as any other standard block device. All data being read 
from a mapped TrueCrypt volume is transparently decrypted and all data 
being written to it is transparently encrypted. 

%prep
%setup -q -n %{name}-%{version}-source
%patch0 -p0
%patch1 -p2
%patch2 -p0
#patch3 -p1
%setup -q -T -D -a 1 -n %{name}-%{version}-source
cp %{SOURCE11} %{SOURCE12} %{SOURCE13} . 

%build
make TC_EXTRA_LFLAGS+="-ldl ${LDFLAGS}" \
	TC_EXTRA_CXXFLAGS="-fPIC ${CXXFLAGS}" \
	TC_EXTRA_CFLAGS="-fPIC ${CFLAGS}" \
	NOGUI=1 WX_ROOT=%{_builddir}/wxWidgets-2.8.12 \
	wxbuild
#	%{?_smp_mflags}
make TC_EXTRA_LFLAGS+="-ldl ${LDFLAGS}" \
	TC_EXTRA_CXXFLAGS="-fPIC ${CXXFLAGS}" \
	TC_EXTRA_CFLAGS="-fPIC ${CFLAGS}" \
	NOGUI=1 WXSTATIC=1
#	%{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}

%{__install} -D -m 0755 Main/truecrypt %{buildroot}%{_bindir}/truecrypt
%{__install} -D -m 0644 %{SOURCE14} %{buildroot}%{_datadir}/applications/truecrypt.desktop
%{__install} -D -m 0644 Resources/Icons/TrueCrypt-48x48.xpm %{buildroot}%{_datadir}/pixmaps/truecrypt.xpm


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root,-)
%doc "Release/Setup Files/*" Readme.txt License.txt
%attr(0755,root,root) %{_bindir}/truecrypt
%{_datadir}/applications/truecrypt.desktop
%{_datadir}/pixmaps/truecrypt.xpm

%changelog
* Wed Aug 18 2010 Levente Farkas <lfarkas@lfarkas.org> - 7.0-1
- update to 7.0

* Tue May 12 2009 Levente Farkas <lfarkas@lfarkas.org> - 6.2-1
- update to 6.2

* Thu Dec  4 2008 Levente Farkas <lfarkas@lfarkas.org> - 6.1a-1
- update to 6.1a

* Fri Nov 28 2008 Levente Farkas <lfarkas@lfarkas.org> - 6.1-1
- update to 6.1

* Wed Jul 9 2008 Levente Farkas <lfarkas@lfarkas.org> - 6.0a-1
- update to 6.0a

* Tue Feb 19 2008 Levente Farkas <lfarkas@lfarkas.org> - 5.0-1
- update to 5.0a

* Tue Feb 12 2008 Levente Farkas <lfarkas@lfarkas.org> - 5.0-2
- update the build for x86_64 and text mode using Tom Horsley's patches from :
  http://home.att.net/~Tom.Horsley/tah-tc-5.0.tar.gz

* Thu Feb  7 2008 Levente Farkas <lfarkas@lfarkas.org> - 5.0-1
- Update to 5.0
